Retrieve status of an asynchronous action on an order/s
This endpoint tells you the status of an asynchronous action that was triggered on an order or a set of orders. Use the actionUuid returned as part of asynchronous action triggered on any of the orders endpoints.
Request URL
get https://api.plan.routific.com/v2/orders/actions/
Request Payload
//none
Response Payload
{
"actionUuid": "21659f6c-bf03-44f9-9ed6-4ae1e6fe1b4e",
"actionName": "update",
"status": "finished",
"actionSummary": {
"orderUri": "/v2/orders/7f90d324-ebf3-46ee-a32e-a961a10c2676",
"unpublishedChanges": true,
"routeUuid": "29250d02-e57a-4cf1-8a99-b4382d78cc28",
"routeDate": "2026-07-31"
}
}
| Fields | Type | Description |
|---|---|---|
| actionUuid | String | Identifies this async action request. Use it to poll for status and to fetch the result of the action on the order |
| actionName | String | The action performed on the order. Either deleteOrder or update. |
| status | String | The status of the run. Possible values: pending, finished, failed |
| actionSummary | Object | Present once the run has finished |
| actionSummary.orderUri | String | Uri of the order that was attempted to update. Only returned as part of updateOrder action. |
| actionSummary.unpublishedChanges | Boolean | Notifies whether there are unpublished changes to the route due to the update. Only returned as part of updateOrder action. |
| actionSummary.routeUuid | String | Route impacted by the order's update. Only returned as part of updateOrder action. |
| actionSummary.routeDate | String | Planned date of the route. Only returned as part of updateOrder action. |
| actionSummary.deleted | Array | Lists the orders that were successfully deleted. Only returned as part of deleteOrder action. |
| actionSummary.failed | Array | Lists the orders that couldn't be deleted. Only returned as part of deleteOrder action. |

